[package]

name = "nu_plugin_kcl"
version = "0.1.0"
authors = ["Jesús Pérez <jpl@jesusperez.com>"]
edition = "2024"
description = "a nushell plugin called kcl"
repository = "https://github.com/jesusperez/nu_plugin_kcl"
license = "MIT"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
# for local development, you can use a path dependency
nu-plugin = { path = "../nushell/crates/nu-plugin" }
nu-protocol = { path = "../nushell/crates/nu-protocol", features = ["plugin"] }
#nu-plugin = "0.104.0"
#nu-protocol = { version = "0.104.0", features = ["plugin"] }
kcl-lang = { git = "https://github.com/kcl-lang/lib" }
anyhow = "1.0"
toml = "0.8"
serde = { version = "1.0", features = ["derive"] }
tempfile = "3"

[dev-dependencies]
nu-plugin-test-support = { path = "../nushell/crates/nu-plugin-test-support" }
#nu-plugin-test-support = { version = "0.104.0" }
